<?php

/* Header de chaque page du Wiki-blog.
 *
 * Cette page affiche le haut de la page, le menu du Wiki, et la "Wiki
 * toolbar" permettant d'accder aux diverses fonctionnalits du Wiki.
 *
 * Modifi par Thomas Petazzoni, thomas.petazzoni@enix.org
 *
 */

	$message = $this->GetMessage();
	$user = $this->GetUser();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>


<head>
<title><?php echo $this->GetWakkaName().":".$this->GetPageTag(); ?></title>
<?php if ($this->GetMethod() != 'show')
    echo "<meta name=\"robots\" content=\"noindex, nofollow\"/>\n";?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<meta name="keywords" content="<?php echo $this->GetConfigValue("meta_keywords") ?>" />
<meta name="description" content="<?php echo  $this->GetConfigValue("meta_description") ?>" />
<style type="text/css" media="all"> @import "wakka.css";</style>
</head>


<body>

<div class="title">
 <h1><?php echo $this->GetConfigValue("blog_name") ?></h1>
 <h2><?php echo $this->GetConfigValue("blog_theme") ?></h2>
</div>


<div class="menu">

 <div class="principal">

<? 

/* Le menu du Wiki. En fait, le menu est stock dans une page Wiki,
   dont le rendu est ralis ici. Cette page s'appelle EditionMenu */

$menu = $this->LoadPage("EditionMenu");  
echo $this->Format($menu["body"]);
?>
 </div>

 <div class="toolswiki">
  <h1>Wiki toolbar</h1>
   <ul>
<?

 /* La barre d'outils du Wiki */
if($this->hasAccess("write"))
{
  echo  "<li><a href=\"".$this->GetConfigValue("base_url")."BlogAdd\">Ajout d'un blog</a></li>";
  echo  "<li><a href=\"".$this->href("edit")."\" title=\"Cliquez pour &eacute;diter cette page.\">&Eacute;diter cette page</a></li>\n";
}

  echo  $this->GetPageTime() ? "<li><a href=\"".$this->href("revisions")."\" title=\"Cliquez pour voir les derni&egrave;res modifications sur cette page.\">".$this->GetPageTime()."</a></li>" : "";

  // if this page exists
  if ($this->page)
  {
    // if owner is current user
    if ($this->UserIsOwner())
		{
		  print
		    "<li>Propri&eacute;taire&nbsp;: vous</li>\n".
		    "<li><a href=\"".$this->href("acls")."\" title=\"Cliquez pour &eacute;diter les permissions de cette page.\">&Eacute;diter permissions</a></li>\n".
		    "<li><a href=\"".$this->href("deletepage")."\">Supprimer</a></li>\n";
		}
    else
      {
	if ($owner = $this->GetPageOwner())
	  {
	    print "<li>Propri&eacute;taire : ".$this->Format($owner) . "</li>";
	  }
	else
	{
	  print "<li>Pas de propri&eacute;taire ".($this->GetUser() ? "(<a href=\"".$this->href("claim")."\">Appropriation</a>)</li>" : "</li>");
	}
      }
  }

echo "<li><a href=\"" . $this->href("referrers") . "\" title=\"Cliquez pour voir les URLs faisant rfrence  cette page.\">References</a></li>";
echo " <li> " . $this->Link("DerniersChangements") . "</li>";
echo " <li> " . $this->Link("PagesOrphelines") . "</li>";
echo " <li> " . $this->Link("PagesACreer") . "</li>";
echo " <li> " . $this->Link("ReglesDeFormatage") . "</li>";
echo  "<li><a href=\"".$this->GetConfigValue("base_url")."EditionMenu/edit\">Edition du menu</a></li>";

if ($user = $this->GetUser()) 
{
  echo " <li> <a href=\"".$this->config["base_url"] ."ParametresUtilisateur&amp;action=logout\">Dconnexion</a></li>\n";
}
else
{
  echo " <li> <a href=\"".$this->config["base_url"] ."ParametresUtilisateur\">Se connecter</a></li>\n";
}

?>

  </ul> 
 </div>
</div>

